// 	C Source File
// Created 1/25/2004; 15.36.04

#ifndef _PLAYER_C_
#define _PLAYER_C_

#include <tigcclib.h>

#include "player.h"

void setupPlayers(Player *players, short boardsize)
{
	//if (sizeof(players) != sizeof(Player)*4)
	//	return;

	players[0].c = boardsize/2;
	players[0].r = 0;
	players[0].desiredR = boardsize-1;
	players[0].desiredC = -1;
	players[0].wallsLeft = boardsize/2;
	players[0].hasWon = 0;

	players[1].c = boardsize/2;
	players[1].r = boardsize-1;
	players[1].desiredR = 0;
	players[1].desiredC = -1;
	players[1].wallsLeft = boardsize/2;
	players[1].hasWon = 0;
	
	players[2].c = 0;
	players[2].r = boardsize/2;
	players[2].desiredR = -1;
	players[2].desiredC = boardsize-1;
	players[2].wallsLeft = boardsize/2;
	players[2].hasWon = 0;

	players[3].c = boardsize-1;
	players[3].r = boardsize/2;
	players[3].desiredR = -1;
	players[3].desiredC = 0;
	players[3].wallsLeft = boardsize/2;
	players[3].hasWon = 0;
	
}

void drawPlayer(const Player *player, short index)
{
	char buffer[2];
	
	sprintf(buffer, "%d", index+1);
	
	int x = BOARDOFFSET_X+2;
	int y = BOARDOFFSET_Y+2;
	int s = CELL_WIDTH;
	
	FontSetSys(F_4x6);
	SetPlane(1);	DrawStr(x + player->c*s, y + player->r*s, buffer, A_XOR);
}


void testIfPlayerWon(Player *player, int id)
{
	char buffer[32];

	if ((player->r == player->desiredR || player->desiredR == -1) && 
			(player->c == player->desiredC || player->desiredC == -1))
	{
		player->hasWon = 1;
		sprintf(buffer, "Player %d has won", id);
		sendMessage(buffer);
		drawPlayer(player, id-1);
	}
}

#endif
